# This file represents the base specification of your challenge. It is used by
# other tools to install and deploy your challenge.

# Required sections
name: "modbus"
author: "author"
category: "8. Augusbus"
description: "Het Modbus protocol wordt in veel fabrieken gebruikt om via PLCs (programmable logic controllers) chemische processen aan te sturen. Modbus is alleen niet een veilige manier van communiceren.  Uitdagingen in de beveiliging van OT (operational technology) en ICS (industrial control system) omgevingen zijn op een leuke en veilige manier te simuleren met: https://github.com/djformby/GRFICS \n

Analyseer het bijgeleverde modbus.pcapng bestand. Met welke register-waarde wijziging hebben wij in onze simulatie, via het modbus protocol het chemische proces hebben crashen? Niet te moeilijk denken, er zit een logische gedachte achter. \n

Flag = JCR(register-waarde)\n

Extra: Boeiende presentatie over kwetsbaarheden in ICS:
https://media.ccc.de/v/mch2022-294-ics-stands-for-insecure-control-systems"
value: 100
type: standard

# Specify a host to deploy the challenge onto.
# The currently supported URI schemes are ssh:// and registry://
# ssh is an ssh URI where the above image will be copied to and deployed (e.g. ssh://root@123.123.123.123)
# registry is a Docker registry tag (e.g registry://registry.example.com/test/image)
# host can also be specified during the deploy process: `ctf challenge deploy challenge --host=ssh://root@123.123.123.123`
host: null

# Optional settings

# Can be removed if unused
# Leave at 0 for unlimited
attempts: 0

# Flags specify answers that your challenge use. You should generally provide at least one.
# Can be removed if unused
# Accepts strings or dictionaries of CTFd API data
flags:
    # A static case sensitive flag
    - JCR(65535)


# Provide paths to files from the same directory that this file is in
# Accepts strings
files:
    - modbus.pcapng

# The state of the challenge.
# If the field is omitted, the challenge is visible by default.
# If provided, the field can take one of two values: hidden, visible.
state: visible

# Specifies what version of the challenge specification was used.
# Subject to change until ctfcli v1.0.0
version: "0.1"